x-logging: &default-logging
  driver: json-file
  options:
    max-size: "10m"
    max-file: "5"

services:
  gitea:
    image: gitea/gitea:latest
    container_name: gitea
    ports:
      - "3001:3000"
      - "2222:22"
    volumes:
      - ../gitea/gitea-data:/data
      - /etc/timezone:/etc/timezone:ro
      - /etc/localtime:/etc/localtime:ro
    restart: unless-stopped
    networks:
      - devops-network
    logging: *default-logging 

networks:
  devops-network:
    external: true   